Bug 5424 - [UPDATE REQUEST] nginx 1.7.11 -> 1.7.12
: [UPDATE REQUEST] nginx 1.7.11 -> 1.7.12
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-21 17:14 MSD by Andrey Bondrov
Modified: 2015-04-27 12:57 MSD (History)
3 users (show)

See Also:
RPM Package: nginx
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-04-21 17:14:39 MSD
New version of nginx was released.

Changes with nginx 1.7.12:
- Feature: now the "tcp_nodelay" directive works with backend SSL connections.
- Feature: now thread pools can be used to read cache file headers.
- Bugfix: in the "proxy_request_buffering" directive.
- Bugfix: a segmentation fault might occur in a worker process when using thread pools on Linux.
- Bugfix: in error handling when using the "ssl_stapling" directive.
- Bugfix: in the ngx_http_spdy_module.
Comment 1 Andrey Bondrov 2015-04-21 17:15:44 MSD
Advisory: "New version 1.7.12:
- Feature: now the "tcp_nodelay" directive works with backend SSL connections.
- Feature: now thread pools can be used to read cache file headers.
- Bugfix: in the "proxy_request_buffering" directive.
- Bugfix: a segmentation fault might occur in a worker process when using thread pools on Linux.
- Bugfix: in error handling when using the "ssl_stapling" directive.
- Bugfix: in the ngx_http_spdy_module."

https://abf.rosalinux.ru/build_lists/2492436
https://abf.rosalinux.ru/build_lists/2492437
Comment 2 Andrey Bondrov 2015-04-22 11:06:34 MSD
1.7.12 is now 1.8.0 stable branch release. Let's use it.

Advisory: "New version 1.8.0 (stable branch, based on 1.7.12):
- Feature: now the "tcp_nodelay" directive works with backend SSL connections.
- Feature: now thread pools can be used to read cache file headers.
- Bugfix: in the "proxy_request_buffering" directive.
- Bugfix: a segmentation fault might occur in a worker process when using thread pools on Linux.
- Bugfix: in error handling when using the "ssl_stapling" directive.
- Bugfix: in the ngx_http_spdy_module.

https://abf.rosalinux.ru/build_lists/2492607
https://abf.rosalinux.ru/build_lists/2492608
Comment 3 Andrey Bondrov 2015-04-22 19:51:15 MSD
I had a request to add rtmp module support.

Advisory: "New version 1.8.0 (stable branch, based on 1.7.12) with extra rtmp module enabled. Other changes since 1.7.11:
- Feature: now the "tcp_nodelay" directive works with backend SSL connections.
- Feature: now thread pools can be used to read cache file headers.
- Bugfix: in the "proxy_request_buffering" directive.
- Bugfix: a segmentation fault might occur in a worker process when using thread pools on Linux.
- Bugfix: in error handling when using the "ssl_stapling" directive.
- Bugfix: in the ngx_http_spdy_module.

https://abf.rosalinux.ru/build_lists/2492771
https://abf.rosalinux.ru/build_lists/2492772
Comment 4 Alexander Petryakov 2015-04-23 20:20:41 MSD
Nginx 1.8.0 has been installed, updates and started without error.
Also successful configured rtmp module.

https://abf.rosalinux.ru/build_lists/2492771
https://abf.rosalinux.ru/build_lists/2492772
Comment 5 Vladimir Potapov 2015-04-23 20:23:55 MSD
The update is sent to expanded testing
***************************************
Comment 6 Vladimir Potapov 2015-04-27 10:23:35 MSD
nginx-1.8.0-2
https://abf.rosalinux.ru/build_lists/2492771
https://abf.rosalinux.ru/build_lists/2492772
*************************** Advisory ************************************
New version 1.8.0 (stable branch, based on 1.7.12) with extra rtmp module enabled. Other changes since 1.7.11:
- Feature: now the "tcp_nodelay" directive works with backend SSL connections.
- Feature: now thread pools can be used to read cache file headers.
- Bugfix: in the "proxy_request_buffering" directive.
- Bugfix: a segmentation fault might occur in a worker process when using thread pools on Linux.
- Bugfix: in error handling when using the "ssl_stapling" directive.
- Bugfix: in the ngx_http_spdy_module.
*************************************************************************
QA Verified